List allow/block rules
GET
/workspaces/{workspaceId}/conversation-allowblock-rules
List allow/block rules. This will return a maximum of 100 rules per page, with 10 as default. You can use the limit and pageToken query parameters to paginate the results. Learn more about pagination in the Common API Usage pagination section.
Parametry zapytania
limit
integer
pageToken
string
reverse
boolean
type
string
Allow/Block type
Possible values: allow, reject, suspend
category
string
Allow/Block category
Possible values: all, domain, domain_suffix, email
value
string
Allow/Block value
Treść odpowiedzi
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.category
string
wymagane
The category of the AllowBlockRule.
Possible values: all, domain, domain_suffix, email
results.createdAt
string
wymagane
results.createdBy
string
wymagane
results.id
string
wymagane
results.type
string
wymagane
The type of the AllowBlockRule.
Possible values: allow, reject, suspend
results.updatedAt
string
wymagane
results.updatedBy
string
wymagane
results.value
string
wymagane
results.workspaceId
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/conversation-allowblock-rules' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Examples
Przykład kodu
curl "https://api.bird.com/workspaces/e58899bf-1e8d-4ff7-b9db-a60befaf90d2/conversation-allowblock-rules" \
-H "Authorization: AccessKey abcd"Przykład kodu
{
"results": [
{
"id": "01937899-aa2c-7224-bf2b-db9ca8f6362c",
"workspaceId": "6b1908bd-2bc7-409e-bab4-ccfcd3ec69b9",
"category": "email",
"value": "test@example.com",
"type": "allow",
"createdBy": "00000000-0000-0000-0000-000000000000",
"createdAt": "2024-11-29T15:45:56.780546536Z",
"updatedBy": "00000000-0000-0000-0000-000000000000",
"updatedAt": "2024-11-29T15:45:56.780546536Z"
},
{
"id": "01937888-e7c4-79dd-af1f-c00d91a0f3a6",
"workspaceId": "6b1908bd-2bc7-409e-bab4-ccfcd3ec69b9",
"category": "domain",
"value": "test.com",
"type": "reject",
"createdBy": "00000000-0000-0000-0000-000000000000",
"createdAt": "2024-11-29T15:27:38.436082756Z",
"updatedBy": "00000000-0000-0000-0000-000000000000",
"updatedAt": "2024-11-29T15:27:38.436082756Z"
}
]
}Note: if there are more than 10 allow/block rules, the results may be paginated. Please refer to Pagination on how to use nextPageToken.